ChangeSet 1.823.3.6, 2002/11/11 14:58:21-08:00, david-b@pacbell.net

[PATCH] <linux/device.h> KERN_WARN(ING)

This fixes <linux/device.h> so dev_warn() uses KERN_WARNING,
instead of a non-existent symbol.  It also uses parens around
some arguments that need them ... those macros are now usable.


diff -Nru a/include/linux/device.h b/include/linux/device.h
--- a/include/linux/device.h	Thu Nov 14 14:12:54 2002
+++ b/include/linux/device.h	Thu Nov 14 14:12:54 2002
@@ -443,19 +443,19 @@
 #ifdef DEBUG
 #define dev_dbg(dev, format, arg...)		\
 	printk (KERN_DEBUG "%s %s: " format ,	\
-		dev.driver->name , dev.bus_id , ## arg)
+		(dev).driver->name , (dev).bus_id , ## arg)
 #else
 #define dev_dbg(dev, format, arg...) do {} while (0)
 #endif
 
 #define dev_err(dev, format, arg...)		\
 	printk (KERN_ERR "%s %s: " format ,	\
-		dev.driver->name , dev.bus_id , ## arg)
+		(dev).driver->name , (dev).bus_id , ## arg)
 #define dev_info(dev, format, arg...)		\
 	printk (KERN_INFO "%s %s: " format ,	\
-		dev.driver->name , dev.bus_id , ## arg)
+		(dev).driver->name , (dev).bus_id , ## arg)
 #define dev_warn(dev, format, arg...)		\
-	printk (KERN_WARN "%s %s: " format ,	\
-		dev.driver->name , dev.bus_id , ## arg)
+	printk (KERN_WARNING "%s %s: " format ,	\
+		(dev).driver->name , (dev).bus_id , ## arg)
 
 #endif /* _DEVICE_H_ */
